Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.iiop
Class TransactionServiceHelper

    java.lang.Object
      org.jboss.tm.iiop.TransactionServiceHelper

public final class TransactionServiceHelper
extends Object

Generated from IDL interface "TransactionService"

Author:
  JacORB IDL compiler V 2.2 (JBoss patch 2), 08-Jun-2004

Constructor Summary
`TransactionServiceHelper()`

Method Summary
`static TransactionService` | `extract(Any any)`
`static String` | `id()`
`static void` | `insert(Any any, TransactionService s)`
`static TransactionService` | `narrow(Object obj)`
`static TransactionService` | `narrow(Object obj)`
`static TransactionService` | `read(InputStream in)`
`static TypeCode` | `type()`
`static TransactionService` | `unchecked_narrow(Object obj)`
`static void` | `write(OutputStream _out, TransactionService s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionServiceHelper

    public TransactionServiceHelper()

Method Detail

### insert

    public static void insert(Any any,
                              TransactionService s)

### extract

    public static TransactionService extract(Any any)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static TransactionService read(InputStream in)

### write

    public static void write(OutputStream _out,
                             TransactionService s)

### narrow

    public static TransactionService narrow(Object obj)

### narrow

    public static TransactionService narrow(Object obj)

### unchecked_narrow

    public static TransactionService unchecked_narrow(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.